tintin++ (2.02.20-1build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 Jan 2026 22:24:45 +0000

tintin++ (2.02.20-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:21 +1100

tintin++ (2.02.20-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 10:48:38 +1300

tintin++ (2.02.20-1) unstable; urgency=medium

  * New upstream release.
  * Add patch: regular expressions now use libpcre2-dev.
    (Closes: #999940)

 -- Jozsef Nagy <runave214@gmail.com>  Wed, 29 Jun 2022 19:20:40 +0200

tintin++ (2.02.03-1) unstable; urgency=medium

  * New upstream release.

 -- Jozsef Nagy <runave214@gmail.com>  Sat, 25 Jul 2020 13:51:46 +0200

tintin++ (2.01.5-2) unstable; urgency=high

  * Add security patch - backport fix of the following security bug:
  - CVE-2019-7629:
    Stack-based buffer overflow in the strip_vt102_codes function allows
    remote attackers to execute arbitrary code by sending a long message
    to the client.
    (Closes: #924348)

 -- Jozsef Nagy <runave214@gmail.com>  Thu, 14 Mar 2019 20:27:42 +0100

tintin++ (2.01.5-1) unstable; urgency=medium

  * New upstream release and new maintainer.

 -- Jozsef Nagy <runave214@gmail.com>  Wed, 09 Jan 2019 20:20:42 +0100

tintin++ (2.01.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update to Standards-Version 4.3.0:
    - Switch to FreeDesktop menu standard
  * Include upstream changelong and documentation on scripts and chat protocol.

 -- Jozsef Nagy <runave214@gmail.com>  Sat, 29 Dec 2018 11:02:42 +0100

tintin++ (2.01.1-1) unstable; urgency=medium

  * Orphan the package:
    - Switch maintainer to Debian QA Group <packages@qa.debian.org>.
  * New upstream release.
  * Bump build depends on debhelper >= 9.
  * tintin++ has now SSL support, add build-depends on libgnutls28-dev.
  * Update to Standards-Version: 3.9.6, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 16 Sep 2015 23:26:07 +0200

tintin++ (2.01.0-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version: 3.9.5, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 04 Jan 2014 22:58:40 +0100

tintin++ (2.00.9-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.9.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Jul 2013 22:46:27 +0200

tintin++ (2.00.8-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 10 May 2012 23:48:16 +0200

tintin++ (2.00.7-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.9.2, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Jul 2011 22:28:44 +0200

tintin++ (2.00.5-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.9.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 06 Feb 2011 21:01:54 +0100

tintin++ (2.00.1-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.8.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Apr 2010 11:40:17 +0200

tintin++ (1.99.9-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 08 Feb 2010 13:56:59 +0100

tintin++ (1.99.8-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. No changes required further adding
    debian/source/format.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 12 Nov 2009 22:57:57 +0100

tintin++ (1.99.7-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 06 Sep 2009 18:49:41 +0200

tintin++ (1.99.6b-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.8.3, no changes required.
  * Switch to dh:
    - Build depend on debhelper (>= 7.0.50~).
    - Add debian/manpages to install tintin man page.
  * Readd ${misc:Depends}.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 18 Aug 2009 02:31:32 +0200

tintin++ (1.99.6-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version: 3.8.2, no changes required.
  * Update to debhelper 7:
    - Raise debian/compat to 7.
    - Build depend on debhelper >= 7.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 09 Aug 2009 21:08:01 +0200

tintin++ (1.99.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 23 May 2009 22:09:28 +0200

tintin++ (1.99.4-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 03 May 2009 16:35:07 +0200

tintin++ (1.99.3-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 08 Apr 2009 08:41:17 +0200

tintin++ (1.99.2-1) unstable; urgency=low

  * New upstream release.
  * Add build depend on libpcre3-dev, regular expresions now uses this
    library.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 10 Mar 2009 22:23:10 +0100

tintin++ (1.99.0-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 17 Feb 2009 21:53:13 +0100

tintin++ (1.98.9-1) unstable; urgency=low

  * New upstream release:
    - Fix speedwalking issues. (Closes: #512359)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 Jan 2009 21:53:18 +0100

tintin++ (1.98.8-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 15 Jan 2009 15:12:59 +0100

tintin++ (1.98.7-1) unstable; urgency=low

  * New upstream release. (Closes: #504180)
  * Update Standards-Version to 3.8.0, no changes required.
  * Remove build depends on  libreadline5-dev and libncurses5-dev, they are
    supposedly not needed anymore.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 10 Dec 2008 06:31:26 +0100

tintin++ (1.98.3-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 26 Jul 2008 12:07:21 +0200

tintin++ (1.98.2-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 May 2008 13:49:45 +0200

tintin++ (1.98.1) unstable; urgency=low

  * New upstream release.
  * Drop security patches, merged in upstream and remove quilt.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 09 Apr 2008 13:39:04 +0200

tintin++ (1.97.9-2) unstable; urgency=high

  * Add secutity.patch fixing the following security bugs:
  - CVE-2008-0671:
    Stack-based buffer overflow in the add_line_buffer function allows 
    remote attackers to execute arbitrary code via a long chat message, 
    related to conversion from LF to CRLF.
  - CVE-2008-0672:
    The process_chat_input function allows remote attackers to cause a 
    denial of service (application crash) via a YES message without a newline 
    character, which triggers a NULL dereference.
  - CVE-2008-0673:
    TinTin++ open files on the basis of an inbound file-transfer request, before
    the user has an opportunity to decline the request, which allows remote 
    attackers to truncate arbitrary files in the top level of a home directory.
    (Closes: #465643)
 
  * Add quilt support for patching.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 10 Mar 2008 18:09:24 +0100

tintin++ (1.97.9-1) unstable; urgency=low

  * New upstream release.
  * Remove broken watch file.
  * Update to debhelper 6.
  * Convert copyright file to UTF-8.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 10 Feb 2008 01:03:11 +0100

tintin++ (1.97.8-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.7.3. No changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Dec 2007 13:56:06 +0100

tintin++ (1.97.7-1) unstable; urgency=low

  * New upstream release.
  * Move Homepage into control field.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Nov 2007 22:22:39 +0100

tintin++ (1.97.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Sep 2007 06:27:50 +0200

tintin++ (1.97.4-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Jul 2007 11:58:05 +0200

tintin++ (1.97.3-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 08 Jul 2007 02:43:06 +0200

tintin++ (1.97.1-2) unstable; urgency=low

  * Remove unnecessary files.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 30 May 2007 02:36:42 +0200

tintin++ (1.97.1-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 21 May 2007 18:13:21 +0100

tintin++ (1.97.0-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 01 May 2007 14:38:34 +0100

tintin++ (1.96.9-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 14 Apr 2007 13:30:25 +0200

tintin++ (1.96.8-1) unstable; urgency=low

  * New upstream release. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 23 Mar 2007 13:38:06 +0000

tintin++ (1.96.6-1) unstable; urgency=low

  * New upstream release. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri,  9 Feb 2007 23:55:41 +0100

tintin++ (1.96.3-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 21 Nov 2006 10:01:01 +0100

tintin++ (1.96.2-2) unstable; urgency=low

  * Changed maintainer email address. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 27 Oct 2006 16:45:00 +0200

tintin++ (1.96.2-1) unstable; urgency=low

  * New upstream release and new maintainer. (Closes: #389169)
  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.
  * Added missing space to homepage pseudo header. 
  * Improved debian/copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue,  3 Oct 2006 22:03:35 +0200

tintin++ (1.95.1-1) unstable; urgency=low

  * New upstream release
  * Updated Policy version
  * Removed a couple lines from the diff that gave lintian warnings
  * Updated the watch file to reflect new location of sources

 -- Christopher Sacca <csacca@thecsl.org>  Thu, 23 Jun 2005 15:33:47 -0400

tintin++ (1.94.8-1) unstable; urgency=low

  * Eight new minor releases from upstream.
  * New location for homepage.

 -- Christopher Sacca <csacca@thecsl.org>  Thu, 19 May 2005 17:53:04 -0400

tintin++ (1.94-1) unstable; urgency=low

  * New upstream release
  * Corrected watch file to catch versions with only two numbers

 -- Christopher Sacca <csacca@thecsl.org>  Tue, 12 Apr 2005 10:58:03 -0400

tintin++ (1.93.9-1) unstable; urgency=low

  * New upstream release
  * Added watch file

 -- Christopher Sacca <csacca@thecsl.org>  Tue, 8 Mar 2005 09:09:15 -0500

tintin++ (1.93.8-2) unstable; urgency=low

  * Corrected copyright file based on 'Re: how (not) to write copyright 
    files' <http://lists.debian.org/debian-legal/2003/12/msg00194.html>
  * Added missing section / priority info.

 -- Christopher Sacca <csacca@thecsl.org>  Wed, 16 Feb 2005 14:16:46 -0500

tintin++ (1.93.8-1) unstable; urgency=low

  * New upstream release
  * Fix issue with changelog, now you can see this *and*
    the upstream (closes: 295490)

 -- Christopher Sacca <csacca@thecsl.org>  Wed, 16 Feb 2005 09:06:00 -0500

tintin++ (1.93.7-1) unstable; urgency=low

  * New maintainer (closes: #222109)
  * Current upstream version (closes: #280604)
  * As of 1.89, tintin++ uses an internal help file,
    this solves the open bug on the location of the help file
    (closes: #170252)

 -- Christopher Sacca <csacca@thecsl.org>  Thu,  3 Feb 2005 11:07:21 -0500

tintin++ (1.86-2) unstable; urgency=low

  * debian/rules: install tt_help as tt_help.txt (thanks, towo).
  * debian/changelog: removed Emacs stuff.

 -- Jordi Mallach <jordi@debian.org>  Mon, 20 May 2002 19:22:42 +0200

tintin++ (1.86-1) unstable; urgency=low

  * Initial Release (closes: #68180).
  * debian/copyright: copied the mail where Robert Ellsworth agrees to
    place the Tintin++ Manual under the GPL.
  * debian/README.Debian: added note about configuration files and
    disabled features (thanks for the #sys hints, fenring).
  * debian/rules: rm -f src/Makefile by hand in `clean'.
  * src/tintin.h: changed default locations of configuration files.
  * src/chat.c: disabled chat entirely. It's completely broken.
  * src/files.c: changed a hardcoded path to tab.txt.

 -- Jordi Mallach <jordi@debian.org>  Mon, 15 Oct 2001 19:30:58 +0200

